Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 588482 - =media-video/libav-12 libavdevice/libavdevice.so: undefined reference to `xcb_shape_rectangles'
Summary: =media-video/libav-12 libavdevice/libavdevice.so: undefined reference to `xcb...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: underlinking libav-12
  Show dependency tree
 
Reported: 2016-07-10 00:31 UTC by tman
Modified: 2020-04-26 15:23 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tman 2016-07-10 00:31:29 UTC
lSDL -lpthread
x86_64-pc-linux-gnu-gcc -m32 -Llibavcodec -Llibavdevice -Llibavfilter -Llibavformat -Llibavresample -Llibavutil -Llibswscale -Wl,-O1 -Wl,--as-needed  -Wl,--as-needed -Wl,--warn-common -Wl,-rpath-link=libswscale:libavfilter:libavdevice:libavformat:libavcodec:libavutil:libavresample   -o avprobe cmdutils.o avprobe.o   -lavdevice -lavfilter -lavformat -lavcodec -lavresample -lswscale -lavutil -lvdpau -lva -lva-drm -lva -lva-x11 -L/usr/lib32 -lxcb-shm -L/usr/lib32 -lxcb-xfixes -lX11 -ljack -lasound -L/usr/lib32 -ldc1394 -lgmp -lxvidcore -L/usr/lib32 -lx265 -L/usr/lib32 -lx264 -L/usr/lib32 -lwebp -lwavpack -L/usr/lib32 -lvpx -lm -lvorbisenc -lvorbis -logg -lvo-aacenc -ltwolame -ltheoraenc -ltheoradec -logg -L/usr/lib32 -lschroedinger-1.0 -L/usr/lib32 -lrtmp -lz -lgmp -lgnutls -lhogweed -lnettle -L/usr/lib32 -lpulse-simple -lpulse -L/usr/lib32 -lopus -lopenjpeg -DOPJ_STATIC -lmp3lame -L/usr/lib32 -lfreetype -L/usr/lib32 -lfontconfig -lfreetype -L/usr/lib32 -lfdk-aac -lfaac -L/usr/lib32 -lgnutls -lva -lm -lbz2 -lz -pthread  
libavdevice/libavdevice.so: undefined reference to `xcb_shape_rectangles'
collect2: error: ld returned 1 exit status
make: *** [/var/tmp/portage/media-video/libav-12_pre20160529/work/libav-12_pre20160529/Makefile:166: avconv] Error 1
make: *** Waiting for unfinished jobs....
libavdevice/libavdevice.so: undefined reference to `xcb_shape_rectangles'
collect2: error: ld returned 1 exit status
make: *** [/var/tmp/portage/media-video/libav-12_pre20160529/work/libav-12_pre20160529/Makefile:166: avprobe] Error 1
libavdevice/libavdevice.so: undefined reference to `xcb_shape_rectangles'
collect2: error: ld returned 1 exit status
make: *** [/var/tmp/portage/media-video/libav-12_pre20160529/work/libav-12_pre20160529/Makefile:166: avplay] Error 1
 * ERROR: media-video/libav-12_pre20160529::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-video/libav-12_pre20160529::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-video/libav-12_pre20160529::gentoo'`.


Reproducible: Always




Portage 2.3.0 (python 3.5.1-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-5.4.0, glibc-2.23-r2, 4.6.3-gentoo x86_64)
=================================================================
System uname: Linux-4.6.3-gentoo-x86_64-Intel-R-_Core-TM-_i7-3740QM_CPU_@_2.70GHz-with-gentoo-2.2
KiB Mem:    24626340 total,  18097824 free
KiB Swap:   26488828 total,  26488828 free
Timestamp of repository gentoo: Sat, 09 Jul 2016 23:30:01 +0000
Timestamp of repository poly-c: Sat, 09 Jul 2016 18:20:35 +0000
sh bash 4.3_p46
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p46::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.4::gentoo, 3.5.1-r3::gentoo
dev-util/cmake:           3.6.0::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2-r1::gentoo
sys-apps/openrc:          0.21.2::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /mnt/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

lokal
    location: /mnt/portage/local/local-overlay
    masters: gentoo
    priority: 0

amielke-overlay
    location: /mnt/portage/local/layman/amielke-overlay
    sync-type: laymansync
    sync-uri: git://github.com/amielke/amielke-overlay.git
    masters: gentoo
    priority: 50

bitcoin
    location: /mnt/portage/local/layman/bitcoin
    sync-type: laymansync
    sync-uri: https://gitlab.com/bitcoin/gentoo.git
    masters: gentoo
    priority: 50

brother-overlay
    location: /mnt/portage/local/layman/brother-overlay
    sync-type: laymansync
    sync-uri: git://github.com/stefan-langenmaier/brother-overlay.git
    masters: gentoo
    priority: 50

bumblebee
    location: /mnt/portage/local/layman/bumblebee
    sync-type: laymansync
    sync-uri: git://github.com/Bumblebee-Project/bumblebee-gentoo
    masters: gentoo
    priority: 50

dotnet
    location: /mnt/portage/local/layman/dotnet
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/dotnet.git
    masters: gentoo
    priority: 50

dr
    location: /mnt/portage/local/layman/dr
    sync-type: laymansync
    sync-uri: git://github.com/cerebrum/dr.git
    masters: gentoo
    priority: 50

ixit
    location: /mnt/portage/local/layman/ixit
    sync-type: laymansync
    sync-uri: git://github.com/okias/ixit.git
    masters: gentoo
    priority: 50

media-overlay
    location: /mnt/portage/local/layman/media-overlay
    sync-type: laymansync
    sync-uri: git://github.com/hasufell/media-overlay.git
    masters: gentoo
    priority: 50

poly-c
    location: /mnt/portage/local/layman/poly-c
    sync-type: laymansync
    sync-uri: rsync://gentoofan.no-ip.org/poly-c
    masters: gentoo
    priority: 50

steam-overlay
    location: /mnt/portage/local/layman/steam-overlay
    sync-type: laymansync
    sync-uri: git://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core-avx-i -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core-avx-i -O2 -pipe"
DISTDIR="/mnt/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks fail-clean fixlafiles merge-sync news nodoc noinfo parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/mnt/portage/packages"
PORTAGE_CONFIGROOT="/"
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-10 04:56:21 UTC
No security issue here.
Comment 2 Ian Whyman (thev00d00) (RETIRED) gentoo-dev 2016-07-10 12:30:52 UTC
Can you try this patch?

https://ffmpeg.org/pipermail/ffmpeg-devel/2014-November/165859.html
Comment 3 tman 2016-07-11 00:23:07 UTC
(In reply to Ian Whyman (thev00d00) from comment #2)
> Can you try this patch?
> 
> https://ffmpeg.org/pipermail/ffmpeg-devel/2014-November/165859.html

this patch seems to not work:


>>> Emerging (1 of 7) media-video/libav-12_pre20160529::gentoo
 * libav-12_pre20160529.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                     [ ok ]
>>> Unpacking source...
>>> Unpacking libav-12_pre20160529.tar.xz to /var/tmp/portage/media-video/libav-12_pre20160529/work
>>> Source unpacked in /var/tmp/portage/media-video/libav-12_pre20160529/work
>>> Preparing source in /var/tmp/portage/media-video/libav-12_pre20160529/work/libav-12_pre20160529 ...
 * Applying user patches from /etc/portage/patches//media-video/libav ...
 *   xcb.patch ...

 * Failed Patch: xcb.patch !
 *  ( /etc/portage/patches//media-video/libav/xcb.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-video/libav-12_pre20160529/temp/xcb.patch.out

 * ERROR: media-video/libav-12_pre20160529::gentoo failed (prepare phase):
 *   Failed Patch: xcb.patch!
 * 
 * Call stack:
 *     ebuild.sh, line  115:  Called src_prepare
 *   environment, line 3025:  Called epatch_user
 *   environment, line 1077:  Called epatch
 *   environment, line 1050:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of `emerge --info '=media-video/libav-12_pre20160529::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-video/libav-12_pre20160529::gentoo'`.
 * The complete build log is located at '/mnt/portage/logs/media-video:libav-12_pre20160529:20160711-002234.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/libav-12_pre20160529/temp/environment'.
 * Working directory: '/var/tmp/portage/media-video/libav-12_pre20160529/work/libav-12_pre20160529'
 * S: '/var/tmp/portage/media-video/libav-12_pre20160529/work/libav-12_pre20160529'
Comment 4 tman 2016-07-11 00:28:23 UTC
i also wonder why this bus has not been fixed even its reported since 2014. and why no one complains about the failed compilation
Comment 5 Steve Arnold archtester gentoo-dev 2017-08-20 20:43:42 UTC
The patch in the ebuild almost works, but needs 2 fixes.

1) apply the patch properly (I tested it by moving it to FILESDIR and adding epatch command to the ebuild)

2) add -lxcb to the libs in the patch

Then it works with gold as well as bfd.

Note the other two blocking bugs in the tracker are fixed (alsa-plugins) or have the correct patch in the bug (libpostproc).  Since it apparently all works here with it all put together, can we please move this along now?  Thanks!
Comment 6 Andreas Sturmlechner gentoo-dev 2018-06-07 20:14:16 UTC
ping.
Comment 7 Larry the Git Cow gentoo-dev 2020-04-26 15:23:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)